//
//  BCFingerPrintVerifyManager.h
//  BCCastle
//
//  Created by liz on 2022/11/16.
//  Copyright © 2022 com.bamboocloud.zhangr1. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
typedef void (^BCIDAFingerPrintSignDataCompleteHandler)(NSString * _Nonnull signdcode,id signddata);
typedef void (^BCIDAFingerPrintKeypairGenerateCompleteHandler)(NSString * _Nonnull gencode,id gendata);



@interface BCIDAFingerPrintVerifyManager : NSObject
+ (instancetype )sharedInstance ;

//获得publickey,如果没有就生成，如果已经生成的，就获取原有的
-(void)getPublicKeywithUserid:(NSString*)userid CallBack:(BCIDAFingerPrintKeypairGenerateCompleteHandler)callBack;

-(void)signDataByPrivateKeywithUserid:(NSString*)userid WithStr:(NSString*)signStr andWithCallBack:(BCIDAFingerPrintSignDataCompleteHandler)callBack;
@end

NS_ASSUME_NONNULL_END
