//
//  BCIDAMfaBioAPIManager.h
//  AuthnCenter_MFA_BioVerify_2E
//
//  Created by liz on 2022/12/9.
//  Copyright © 2022 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
typedef void (^BCMFABioAPIBindCompleteHandler)(id bindData);
typedef void (^BCMFABioAPIUnBindCompleteHandler)(id unbindData);
typedef void (^BCMFABioAPIRequestAvailableCompleteHandler)(id mfaReData);
typedef void (^BCMFABioAPIResponseToMfaCompleteHandler)(id mfaReData);





@interface BCIDAMfaBioAPIManager : NSObject
+ (instancetype )sharedInstance ;

-(void)bindDeviceWithidToken:(NSString*)idToken andPublicKey:(NSString*)publicKey andWithCallBack:(BCMFABioAPIBindCompleteHandler)callBack;
-(void)unbindDeviceAPIWithIDToken:(NSString*)idToken andWithCallBack:(BCMFABioAPIUnBindCompleteHandler)callBack;

-(void)checkIFMfaBioRequestAvailableWithIdToken:(NSString*)idToken andWithCallBack:(BCMFABioAPIRequestAvailableCompleteHandler)callBack;
-(void)responseToMfaBioWithIdToken:(NSString*)idToken andWithSignedStr:(NSString*)signedStr andWithCallBack:(BCMFABioAPIResponseToMfaCompleteHandler)callBack;


@end

NS_ASSUME_NONNULL_END
