//
//  BCIDAMfaBioDeviceBindManager.h
//  AuthnCenter_MFA_BioVerify_2E
//
//  Created by liz on 2022/12/5.
//  Copyright © 2022 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef void (^BCMFABioDeviceStatusCompleteHandler)(NSString * _Nonnull statuscode,id statusdata);
typedef void (^BCMFABioDeviceBindCompleteHandler)(NSString * _Nonnull bindscode,id bindsdata);
typedef void (^BCMFABioDeviceUnbindCompleteHandler)(NSString * _Nonnull unbincode,id unbindata);
typedef void (^BCIDABindVerifyCompleteHandler)(NSString * _Nonnull code1,id data1);





@interface BCIDAMfaBioDeviceBindManager : NSObject
+ (instancetype )sharedInstance ;

//code=101绑定 data="已绑定"，code=102未绑定 data="未绑定"，其余错误码
-(void)checkDeviceStatusWithIDToken:(NSString*)idToken andWithCallBack:(BCMFABioDeviceStatusCompleteHandler)callBack;

-(void)bindDeviceWithIDToken:(NSString*)idToken andWithUserID:(NSString*)userID andWithCallBack:(BCMFABioDeviceBindCompleteHandler)callBack;

-(void)unbindDeviceWithIDToken:(NSString*)idToken andWithCallBack:(BCMFABioDeviceUnbindCompleteHandler)callBack;
-(void)TouchIDOrFaceIDWithCallBack:(BCIDABindVerifyCompleteHandler)callback;


@end

NS_ASSUME_NONNULL_END
