//
//  BCIDAFingerPrintManager.h
//  BCCastle
//
//  Created by 栗子小西 on 2020/4/13.
//  Copyright © 2020 com.bamboocloud.zhangr1. All rights reserved.
//

#import <Foundation/Foundation.h>
#import<LocalAuthentication/LocalAuthentication.h>


/**
 *  指纹验证成功回调
 *
 *  @param data 返回数据 集合或者字典
 */
typedef void (^BCIDAFingerEvaluateSuccessBlock)(NSString* code,id data);
/**
 *  指纹验证失败回调
 *
 *  @param data 返回数据 集合或者字典
 */
typedef void (^BCIDAFingerEvaluateFailBlock)(NSString* code,id data);
/**
 *  指纹验证错误回调
 *
 *  @param data 返回数据 集合或者字典
 */
typedef void (^BCIDAFingerEvaluateErrorBlock)(NSString* code,id data);

typedef void (^BCIDAFingerCheckTypeBlock)(NSString* checkFcode,id checkFdata);


NS_ASSUME_NONNULL_BEGIN

@interface BCIDAFingerPrintManager : NSObject






/**
 code=2,不支持指纹验证
 code=3:面容
 code=4:指纹
 code=5:支持生物识别但是没有设置
 code=6:锁屏密码没有设置，当生物识别没有的情况下
 code=7:生物识别被锁住了
 code=8:用户取消了生物识别
 code=9:其他原因建data的字串
 */
+(void)checkFingerPrintTypeWithCallback:(BCIDAFingerCheckTypeBlock)callBack;

@end

NS_ASSUME_NONNULL_END
