//
//  BCIDAMFABioVerifyManager.h
//  AuthnCenter_MFA_BioVerify_2E
//
//  Created by liz on 2022/12/5.
//  Copyright © 2022 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
typedef void (^BCMFABioVerifyCompleteHandler)(NSString * _Nonnull code,id data);
typedef void (^BCMFABioVerifyCheckCompleteHandler)(NSString * _Nonnull code,id data);



@interface BCIDAMfaBioVerifyManager : NSObject
+ (instancetype )sharedInstance ;

-(void)checkIfMFAAvailableWithidToken:(NSString*)idToken andWithCallBack:(BCMFABioVerifyCheckCompleteHandler)callBack;
-(void)verifyMFAResponseWithUserID:(NSString*)userid andWithIdToken:(NSString*)idToken andRandomStr:(NSString*)randomStr andWithCallBack:(BCMFABioVerifyCompleteHandler)callBack;


@end

NS_ASSUME_NONNULL_END
